Welcome to the Screendesk API! You can use this API to access our endpoints, such as the Screendesk API to get your recordings.
Authorization: Bearer {ACCESS_TOKEN}


{
"error": {
"message": "Descriptive information about the error",
"code": "HTTP error code",
}
}{
"error": {
"message": "Recording not found or does not exist",
"code": 404,
}
}Retrieve details of a specific recording by its UUID
UUID of the recording
Successful response
Unauthorized
Recording not found
{
"pagination": {
"next_page": null,
"prev_page": null,
"last_page": 1,
"page": 1,
"items": 1,
"pages": 1,
"from": 1,
"to": 1,
"count": 1
}
}{
"id": 1,
"uuid": "text",
"title": "text",
"description": "text",
"created_at": "2026-03-19T15:55:50.588Z",
"updated_at": "2026-03-19T15:55:50.588Z",
"vendor": "text",
"ip_address": "text",
"timezone": "text",
"network_type": "text",
"isp": "text",
"platform": "text",
"impressions_count": 1,
"customer_email": "text",
"duration": 1,
"recording_type": "text",
"recording_source": "text",
"url": "text",
"user_email": "text",
"user_name": "text"
}curl -X GET 'https://app.screendesk.io/api/v1/recordings?page=1' \
-H 'Authorization: Bearer YOUR_BEARER_TOKEN' \
-H 'Content-Type: application/json'
curl -X GET 'https://app.screendesk.io/api/v1/recordings/696cfd3b-b579-45a7-b58a-88ba0984a42b' \
-H 'Authorization: Bearer YOUR_BEARER_TOKEN' \
-H 'Content-Type: application/json'